소스 검색

chore: use workspace version

thesimplekid 7 달 전
부모
커밋
e4069c0243

+ 9 - 8
Cargo.toml

@@ -10,6 +10,7 @@ license = "MIT"
 homepage = "https://github.com/cashubtc/cdk"
 repository = "https://github.com/cashubtc/cdk.git"
 rust-version = "1.70.0" # MSRV
+version = "0.3.0"
 
 [workspace.metadata]
 authors = ["CDK Developers"]
@@ -26,15 +27,15 @@ anyhow = "1"
 axum = "0.7.5"
 bitcoin = { version = "0.30", default-features = false } # lightning-invoice uses v0.30
 bip39 = "2.0"
-cdk = { version = "0.2", path = "./crates/cdk", default-features = false }
-cdk-rexie = { version = "0.2", path = "./crates/cdk-rexie", default-features = false }
-cdk-sqlite = { version = "0.2", path = "./crates/cdk-sqlite", default-features = false }
-cdk-redb = { version = "0.2", path = "./crates/cdk-redb", default-features = false }
-cdk-cln = { version = "0.1", path = "./crates/cdk-cln", default-features = false }
-cdk-axum = { version = "0.1", path = "./crates/cdk-axum", default-features = false }
-cdk-fake-wallet = { version = "0.1", path = "./crates/cdk-fake-wallet", default-features = false }
-cdk-strike = { version = "0.1", path = "./crates/cdk-strike", default-features = false }
 clap = { version = "4.4.8", features = ["derive", "env", "default"] }
+cdk = { version = "0.3", path = "./crates/cdk", default-features = false }
+cdk-rexie = { version = "0.3", path = "./crates/cdk-rexie", default-features = false }
+cdk-sqlite = { version = "0.3", path = "./crates/cdk-sqlite", default-features = false }
+cdk-redb = { version = "0.3", path = "./crates/cdk-redb", default-features = false }
+cdk-cln = { version = "0.3", path = "./crates/cdk-cln", default-features = false }
+cdk-axum = { version = "0.3", path = "./crates/cdk-axum", default-features = false }
+cdk-fake-wallet = { version = "0.3", path = "./crates/cdk-fake-wallet", default-features = false }
+cdk-strike = { version = "0.3", path = "./crates/cdk-strike", default-features = false }
 tokio = { version = "1", default-features = false }
 thiserror = "1"
 tracing = { version = "0.1", default-features = false, features = ["attributes", "log"] }

+ 1 - 1
bindings/cdk-js/Cargo.toml

@@ -1,6 +1,6 @@
 [package]
 name = "cdk-js"
-version = "0.2.0"
+version = { workspace = true }
 edition = "2021"
 license.workspace = true
 homepage.workspace = true

+ 1 - 1
crates/cdk-axum/Cargo.toml

@@ -1,6 +1,6 @@
 [package]
 name = "cdk-axum"
-version = "0.1.0"
+version = { workspace = true }
 edition = "2021"
 license.workspace = true
 homepage.workspace = true

+ 1 - 1
crates/cdk-cli/Cargo.toml

@@ -1,6 +1,6 @@
 [package]
 name = "cdk-cli"
-version = "0.2.0"
+version = { workspace = true }
 edition = "2021"
 authors = ["CDK Developers"]
 description = "Cashu cli wallet built on CDK"

+ 1 - 1
crates/cdk-cln/Cargo.toml

@@ -1,6 +1,6 @@
 [package]
 name = "cdk-cln"
-version = "0.1.0"
+version = { workspace = true }
 edition = "2021"
 authors = ["CDK Developers"]
 homepage.workspace = true

+ 1 - 1
crates/cdk-fake-wallet/Cargo.toml

@@ -1,6 +1,6 @@
 [package]
 name = "cdk-fake-wallet"
-version = "0.1.0"
+version = { workspace = true }
 edition = "2021"
 authors = ["CDK Developers"]
 homepage.workspace = true

+ 1 - 1
crates/cdk-mintd/Cargo.toml

@@ -1,6 +1,6 @@
 [package]
 name = "cdk-mintd"
-version = "0.1.0"
+version = { workspace = true }
 edition = "2021"
 authors = ["CDK Developers"]
 homepage.workspace = true

+ 1 - 1
crates/cdk-redb/Cargo.toml

@@ -1,6 +1,6 @@
 [package]
 name = "cdk-redb"
-version = "0.2.0"
+version = { workspace = true }
 edition = "2021"
 authors = ["CDK Developers"]
 description = "Redb storage backend for CDK"

+ 1 - 1
crates/cdk-rexie/Cargo.toml

@@ -1,6 +1,6 @@
 [package]
 name = "cdk-rexie"
-version = "0.2.0"
+version = { workspace = true }
 edition = "2021"
 authors = ["CDK Developers"]
 description = "Indexdb storage backend for CDK in the browser"

+ 1 - 1
crates/cdk-sqlite/Cargo.toml

@@ -1,6 +1,6 @@
 [package]
 name = "cdk-sqlite"
-version = "0.2.0"
+version = { workspace = true }
 edition = "2021"
 authors = ["CDK Developers"]
 description = "Sqlite storage backend for CDK"

+ 1 - 1
crates/cdk-strike/Cargo.toml

@@ -1,6 +1,6 @@
 [package]
 name = "cdk-strike"
-version = "0.1.0"
+version = { workspace = true }
 edition = "2021"
 authors = ["CDK Developers"]
 homepage.workspace = true

+ 1 - 1
crates/cdk/Cargo.toml

@@ -1,6 +1,6 @@
 [package]
 name = "cdk"
-version = "0.2.0"
+version = { workspace = true }
 edition = "2021"
 authors = ["CDK Developers"]
 description = "Core Cashu Development Kit library implementing the Cashu protocol"

+ 23 - 0
misc/scripts/release.sh

@@ -0,0 +1,23 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+args=(
+    "-p cdk"
+    "-p cdk-redb"
+    "-p cdk-sqlite"
+    "-p cdk-rexie"
+    "-p cdk-cln"
+    "-p cdk-fake-wallet"
+    "-p cdk-strike"
+    "-p cdk-cli"
+    "-p cdk-axum"
+    "-p cdk-mintd"
+)
+
+for arg in "${args[@]}";
+do
+    echo "Publishing '$arg'"
+    cargo publish "$arg"
+    echo
+done